#include "StructDataType.h"


std::ostream& operator<<(std::ostream& out, const Node& _node) {
    out << _node.NodeID << " ";
    for (auto cord : _node.coordinate) {
        out << cord << " ";
    };
    out << "Bundle:" << _node.bundle;
    out << std::endl;
    return out;
}

std::ostream& operator<<(std::ostream& out, const std::vector<Node>& _node) {
    for (auto node : _node)
        out << node;
    return out;
}

std::ostream& operator<<(std::ostream& out, const FiniteElement& _finiteel) {
    out << _finiteel.FiniteElementID << " ";
    out << _finiteel.GeometryAreaID << " ";
    for (auto& node : _finiteel.NodeID) {
        out << node << " ";
    }
    out << std::endl;
    return out;
}

std::ostream& operator<<(std::ostream& out, const std::vector<FiniteElement>& _finiteel) {
    for (const auto& node : _finiteel)
        out << node;
    return out;
}

